Bug 450502 - collectd broken dependencies in build
Summary: collectd broken dependencies in build
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: collectd
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Alan Pevec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-09 09:16 UTC by Richard W.M. Jones
Modified: 2008-06-09 13:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-09 13:59:51 UTC
Type: ---


Attachments (Terms of Use)

Description Richard W.M. Jones 2008-06-09 09:16:31 UTC
The build system is reporting broken deps in rawhide:

collectd has broken dependencies in the development tree:
On ppc:
        collectd-4.3.2-9.fc10.ppc requires librrd_th.so.2
On x86_64:
        collectd-4.3.2-9.fc10.x86_64 requires librrd_th.so.2()(64bit)
On i386:
        collectd-4.3.2-9.fc10.i386 requires librrd_th.so.2
On ppc64:
        collectd-4.3.2-9.fc10.ppc64 requires librrd_th.so.2()(64bit)

Comment 1 Richard W.M. Jones 2008-06-09 13:07:23 UTC
I notice the rrdtool was rebuilt yesterday.  Could that have anything
to do with it?

rrdtool-1.3-0.20.rc9.fc10
-------------------------
* Sun Jun  8 18:00:00 2008 Jarod Wilson <jwilson@redhat.com> 1.3-0.20.rc9
- Update to rrdtool 1.3 rc9
- Minor spec tweaks to permit building on older EL  



Comment 2 Alan Pevec 2008-06-09 13:18:36 UTC
Yes, rrdtool-1.3-0.20.rc9.fc10 has librrd_th.so.4


Comment 3 Alan Pevec 2008-06-09 13:59:51 UTC
Rebuilt collectd-4.4.1-1.fc10



Note You need to log in before you can comment on or make changes to this bug.